Index: trunk/ab5.0/abdev/abdev/ProjectControl.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/ProjectControl.cpp	(revision 825)
+++ trunk/ab5.0/abdev/abdev/ProjectControl.cpp	(revision 828)
@@ -42,5 +42,5 @@
 LRESULT CALLBACK TabProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern HANDLE hHeap;
-	extern LPSTR DefFileFilter;
+	extern const LPCSTR DefFileFilter;
 	int i,i2,WndNum;
 	char str[MAX_PATH],temporary[MAX_PATH];
@@ -281,5 +281,8 @@
 					for(i=0;i<projectInfo.NumberOfMenu;i++){
 						if(projectInfo.pMenuInfo[i].hTreeItem==hTreeItem){
-							if(!DialogBoxParam(hResInst,MAKEINTRESOURCE(IDD_INPUTID),hOwner,(DLGPROC)DlgProject_MenuID_Input,(long)projectInfo.pMenuInfo[i].IdName)) break;
+							if (!ActiveBasic::Resource::DialogBoxAlt(hResInst,IDD_INPUTID, hOwner, DlgProject_MenuID_Input, reinterpret_cast<LPARAM>(projectInfo.pMenuInfo[i].IdName)))
+							{
+								break;
+							}
 
 							//重複チェック
@@ -466,12 +469,12 @@
 			//イメージリスト読み込み、設定
 			hProcedureTreeViewImageList=ImageList_Create(16,16,ILC_COLOR24|ILC_MASK,8,0);
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_FOLDER_CLOSE)));
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_FOLDER_OPEN)));
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_PROCEDURE)));
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_PROGRAM_FOLDER)));
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_MEMBER_PUBLIC_VARIABLE)));
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_MEMBER_PUBLIC_FUNCTION)));
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_MEMBER_PRIVATE_VARIABLE)));
-			ImageList_AddIcon(hProcedureTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_MEMBER_PRIVATE_FUNCTION)));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_FOLDER_CLOSE));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_FOLDER_OPEN));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_PROCEDURE));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_PROGRAM_FOLDER));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_MEMBER_PUBLIC_VARIABLE));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_MEMBER_PUBLIC_FUNCTION));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_MEMBER_PRIVATE_VARIABLE));
+			ImageList_AddIcon(hProcedureTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_MEMBER_PRIVATE_FUNCTION));
 			TreeView_SetImageList(hProcedureTreeView,hProcedureTreeViewImageList,TVSIL_NORMAL);
 
@@ -485,11 +488,11 @@
 			//イメージリスト読み込み、設定
 			hMaterialTreeViewImageList=ImageList_Create(16,16,ILC_COLOR24|ILC_MASK,3,0);
-			ImageList_AddIcon(hMaterialTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_FOLDER_CLOSE)));
-			ImageList_AddIcon(hMaterialTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_FOLDER_OPEN)));
-			ImageList_AddIcon(hMaterialTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_WINDOW)));
-			ImageList_AddIcon(hMaterialTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_MENU)));
-			ImageList_AddIcon(hMaterialTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_FILE_ICON)));
-			ImageList_AddIcon(hMaterialTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_FILE_BMP)));
-			ImageList_AddIcon(hMaterialTreeViewImageList,LoadIcon(hResInst,MAKEINTRESOURCE(IDI_FILE_CURSOR)));
+			ImageList_AddIcon(hMaterialTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_FOLDER_CLOSE));
+			ImageList_AddIcon(hMaterialTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_FOLDER_OPEN));
+			ImageList_AddIcon(hMaterialTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_WINDOW));
+			ImageList_AddIcon(hMaterialTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_MENU));
+			ImageList_AddIcon(hMaterialTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_FILE_ICON));
+			ImageList_AddIcon(hMaterialTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_FILE_BMP));
+			ImageList_AddIcon(hMaterialTreeViewImageList, ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_FILE_CURSOR));
 			TreeView_SetImageList(hMaterialTreeView,hMaterialTreeViewImageList,TVSIL_NORMAL);
 
Index: trunk/ab5.0/abdev/abdev/RadProc.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/RadProc.cpp	(revision 825)
+++ trunk/ab5.0/abdev/abdev/RadProc.cpp	(revision 828)
@@ -77,5 +77,5 @@
 	//サポートウィンドウを作成
 	HWND hSupport;
-	hSupport=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_SUPPORT),hChild,(DLGPROC)DlgRadSupport);
+	hSupport = ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_SUPPORT, hChild, DlgRadSupport);
 
 	//ウィンドウのID登録
@@ -98,5 +98,5 @@
 	MdiInfo[i]->MdiRadInfo->hTools=hTools;
 	MdiInfo[i]->MdiRadInfo->hProperty=hProperty;
-	MdiInfo[i]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW),hProperty,(DLGPROC)RadProperty_WindowProc);
+	MdiInfo[i]->MdiRadInfo->hProp_Dlg = ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_WINDOW, hProperty, RadProperty_WindowProc);
 
 	SCROLLINFO ScrollInfo;
@@ -288,5 +288,5 @@
 	//プロパティウィンドウを設定
 	DestroyWindow(MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg);
-	MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_WindowProc);
+	MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg = ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_WINDOW, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_WindowProc);
 
 	SCROLLINFO ScrollInfo;
@@ -538,5 +538,5 @@
 	DestroyWindow(MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg);
 	if(MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]==SELECT_WINDOW){
-		MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_WindowProc);
+		MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg = ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_WINDOW, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_WindowProc);
 
 		ScrollInfo.cbSize=sizeof(SCROLLINFO);
@@ -550,35 +550,35 @@
 	else{
 		if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_BUTTON)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_BUTTON),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ButtonProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_BUTTON, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ButtonProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_CHECKBOX)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_CHECKBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_CheckBoxProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_CHECKBOX, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_CheckBoxProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_COMBOBOX)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_COMBOBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ComboBoxProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_COMBOBOX, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ComboBoxProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_EDIT)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_EDIT),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_EditProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_EDIT, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_EditProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_GROUPBOX)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_GROUPBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_GroupBoxProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_GROUPBOX, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_GroupBoxProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_HSCROLLBAR)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_SCROLLBAR),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ScrollBarProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_SCROLLBAR, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ScrollBarProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_IMAGEBOX)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_IMAGEBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ImageBoxProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_IMAGEBOX, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ImageBoxProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_LISTBOX)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_LISTBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ListBoxProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_LISTBOX, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ListBoxProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_LISTVIEW)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_LISTVIEW),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ListViewProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_LISTVIEW, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ListViewProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_PROGRESSBAR)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_PROGRESSBAR),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ProgressBarProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_PROGRESSBAR, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ProgressBarProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_RADIOBUTTON)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_RADIOBUTTON),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_RadioButtonProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_RADIOBUTTON, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_RadioButtonProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_STATIC)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_STATIC),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_StaticProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_STATIC, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_StaticProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_TRACKBAR)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_TRACKBAR),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_TrackBarProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_TRACKBAR, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_TrackBarProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_TREEVIEW)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_TREEVIEW),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_TreeViewProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_TREEVIEW, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_TreeViewProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_UPDOWN)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_UPDOWN),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_UpDownProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_UPDOWN, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_UpDownProc);
 		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_VSCROLLBAR)
-			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_SCROLLBAR),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ScrollBarProc);
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_PROP_SCROLLBAR, MdiInfo[WndNum]->MdiRadInfo->hProperty, RadProperty_ScrollBarProc);
 
 		ScrollInfo.cbSize=sizeof(SCROLLINFO);
@@ -1865,9 +1865,9 @@
 				case IDM_RAD_WINDOW_EVENTCODE:
 					i=GetWndNum(GetParent(hwnd));
-					DialogBoxParam(hResInst,MAKEINTRESOURCE(IDD_RAD_EVENTCODE),hwnd,(DLGPROC)DlgEventCode,0);
+					ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_EVENTCODE, hwnd, DlgEventCode, 0);
 					break;
 				case IDM_RAD_WINDOW_MENUEVENTCODE:
 					i=GetWndNum(GetParent(hwnd));
-					DialogBoxParam(hResInst,MAKEINTRESOURCE(IDD_RAD_EVENTCODE),hwnd,(DLGPROC)DlgEventCode,1);
+					ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_EVENTCODE, hwnd, DlgEventCode, 1);
 					break;
 				case IDM_RAD_ITEM_DELETE:
Index: trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp	(revision 825)
+++ trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp	(revision 828)
@@ -135,5 +135,7 @@
 				NULL,
 				BMPNUM_RADTOOLBAR,	/*ビットマップの個数*/
-				hResInst,(unsigned int)MAKEINTRESOURCE(IDR_CONTROL),CtrlToolBar,
+				nullptr,
+				reinterpret_cast<UINT_PTR>(ActiveBasic::Resource::LoadBitmapAlt(hResInst, IDR_CONTROL)),
+				CtrlToolBar,
 				(BMPNUM_RADTOOLBAR-1)+SEPNUM_RADTOOLBAR,	/*アイテムの個数*/
 				0,0,16,15,sizeof(TBBUTTON));
@@ -211,5 +213,5 @@
 	switch(message){
 		case WM_CREATE:
-			CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_CTRLBUTTONS),hwnd,(DLGPROC)RadToolButtonsProc);
+			ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_CTRLBUTTONS, hwnd, RadToolButtonsProc);
 			return 0;
 		case WM_VSCROLL:
@@ -679,5 +681,8 @@
 				case IDC_RENAMEWINDOW:
 					{
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW_RENAME),hwnd,DlgRadProperty_Window_Rename)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_WINDOW_RENAME, hwnd, DlgRadProperty_Window_Rename))
+						{
+							return 1;
+						}
 						i=GetWndNum(GetParent(GetParent(hwnd)));
 						ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i]->path);
@@ -688,5 +693,8 @@
 				case IDC_RENAMECAPTION:
 					{
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_RENAMECAPTION),hwnd,DlgRadProperty_Item_RenameCaption)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_RENAMECAPTION, hwnd, DlgRadProperty_Item_RenameCaption))
+						{
+							return 1;
+						}
 						i=GetWndNum(GetParent(GetParent(hwnd)));
 						ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i]->path);
@@ -1073,5 +1081,8 @@
 
 				case IDC_EXSTYLE:
-					if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW_EXSTYLE),hwnd,DlgRadProperty_Window_ExStyle)) return 1;
+					if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_WINDOW_EXSTYLE, hwnd, DlgRadProperty_Window_ExStyle))
+					{
+						return 1;
+					}
 					i=GetWndNum(GetParent(GetParent(hwnd)));
 					DrawRadWindow(i,GetWndInfo(MdiInfo[i]->path));
@@ -1305,9 +1316,15 @@
 	switch(LOWORD(wParam)){
 		case IDC_RENAMEID:
-			if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_RENAMEID),hwnd,DlgRadProperty_Item_RenameID)) return 1;
+			if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_RENAMEID, hwnd, DlgRadProperty_Item_RenameID))
+			{
+				return 1;
+			}
 			SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->GetName().c_str());
 			return 1;
 		case IDC_RENAMECAPTION:
-			if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_RENAMECAPTION),hwnd,DlgRadProperty_Item_RenameCaption)) return 1;
+			if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_RENAMECAPTION, hwnd, DlgRadProperty_Item_RenameCaption))
+			{
+				return 1;
+			}
 			SetDlgItemText(hwnd,IDC_CAPTION,pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->GetCaption().c_str());
 			return 1;
@@ -1634,5 +1651,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -1916,5 +1936,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -2168,5 +2191,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -2475,5 +2501,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -2610,5 +2639,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -2962,10 +2994,10 @@
 							if(pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->image.IsFile()){
 								if((pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->GetStyle()&0x000F)==SS_ICON){
-									extern LPSTR IconFileFilter;
+									extern const LPCSTR IconFileFilter;
 									//"アイコン ファイルを指定して下さい"
 									if(!GetFilePathDialog(hwnd,temporary,IconFileFilter,STRING_IMAGEBOXPROP_GETPATH_ICON,1)) return 1;
 								}
 								else if((pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->GetStyle()&0x000F)==SS_BITMAP){
-									extern LPSTR BitmapFileFilter;
+									extern const LPCSTR BitmapFileFilter;
 									//"ビットマップ ファイルを指定して下さい"
 									if(!GetFilePathDialog(hwnd,temporary,BitmapFileFilter,STRING_IMAGEBOXPROP_GETPATH_BITMAP,1)) return 1;
@@ -3023,5 +3055,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3296,5 +3331,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3571,5 +3609,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3655,5 +3696,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3887,5 +3931,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3971,5 +4018,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -4102,5 +4152,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -4254,5 +4307,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -4465,5 +4521,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -4640,5 +4699,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
Index: trunk/ab5.0/abdev/abdev/Resource.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/Resource.cpp	(revision 825)
+++ trunk/ab5.0/abdev/abdev/Resource.cpp	(revision 828)
@@ -14,5 +14,5 @@
 void Project_CursorResInsert(void){
 	extern HANDLE hHeap;
-	extern LPSTR CursorFileFilter;
+	extern const LPCSTR CursorFileFilter;
 	int i3;
 	char temporary[MAX_PATH];
@@ -79,5 +79,8 @@
 	TVITEM tvItem;
 
-	if(!DialogBoxParam(hResInst,MAKEINTRESOURCE(IDD_INPUTID),hOwner,(DLGPROC)DlgProject_ResourceID_Input,(long)projectInfo.resourceManager.cursorResources[CursorInfoNum].idName.c_str())) return;
+	if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_INPUTID, hOwner, DlgProject_ResourceID_Input, reinterpret_cast<LPARAM>(projectInfo.resourceManager.cursorResources[CursorInfoNum].idName.c_str())))
+	{
+		return;
+	}
 
 	//重複チェック
@@ -111,5 +114,5 @@
 void Project_BitmapResInsert(void){
 	extern HANDLE hHeap;
-	extern LPSTR BitmapFileFilter;
+	extern const LPCSTR BitmapFileFilter;
 	int i2,i3;
 	char temporary[MAX_PATH];
@@ -186,5 +189,8 @@
 	TVITEM tvItem;
 
-	if(!DialogBoxParam(hResInst,MAKEINTRESOURCE(IDD_INPUTID),hOwner,(DLGPROC)DlgProject_ResourceID_Input,(long)projectInfo.resourceManager.bitmapResources[BitmapInfoNum].idName.c_str())) return;
+	if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_INPUTID, hOwner, DlgProject_ResourceID_Input, reinterpret_cast<LPARAM>(projectInfo.resourceManager.bitmapResources[BitmapInfoNum].idName.c_str())))
+	{
+		return;
+	}
 
 	//重複チェック
@@ -217,5 +223,5 @@
 void Project_IconResInsert(void){
 	extern HANDLE hHeap;
-	extern LPSTR IconFileFilter;
+	extern const LPCSTR IconFileFilter;
 	int i2,i3;
 	char temporary[MAX_PATH];
@@ -317,5 +323,8 @@
 	TVITEM tvItem;
 
-	if(!DialogBoxParam(hResInst,MAKEINTRESOURCE(IDD_INPUTID),hOwner,(DLGPROC)DlgProject_ResourceID_Input,(long)projectInfo.resourceManager.iconResources[IconInfoNum].idName.c_str())) return;
+	if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_INPUTID, hOwner, DlgProject_ResourceID_Input, reinterpret_cast<LPARAM>(projectInfo.resourceManager.iconResources[IconInfoNum].idName.c_str())))
+	{
+		return;
+	}
 
 	//重複チェック
Index: trunk/ab5.0/abdev/abdev/Search.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/Search.cpp	(revision 825)
+++ trunk/ab5.0/abdev/abdev/Search.cpp	(revision 828)
@@ -298,5 +298,5 @@
 					else pobj_nv->bRegExp=0;
 
-					FindAllDlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_FINDALL),GetWindow(hwnd,GW_OWNER),(DLGPROC)DlgFindAll);
+					FindAllDlg = ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_FINDALL, GetWindow(hwnd, GW_OWNER), DlgFindAll);
 					ShowWindow(FindAllDlg,SW_SHOW);
 
Index: trunk/ab5.0/abdev/abdev/SubOperation.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/SubOperation.cpp	(revision 825)
+++ trunk/ab5.0/abdev/abdev/SubOperation.cpp	(revision 828)
@@ -692,8 +692,16 @@
 	const std::string resDllPath = ActiveBasic::Common::Environment::GetAbdevSystemDirPath() + "\\res.dll";
 	hResInst = LoadLibrary( resDllPath.c_str() );
+	if(!hResInst){
+		MessageBox(0,"res.dllの読み込みに失敗しました。",APPLICATION_NAME,MB_OK|MB_ICONEXCLAMATION);
+		return 0;
+	}
 
 	//アイコンリソースDLLをマッピング
 	const std::string iconResDllPath = ActiveBasic::Common::Environment::GetAbdevSystemDirPath() + "\\icon_res.dll";
-	hIconResInst = LoadLibrary( iconResDllPath.c_str() );
+	hIconResInst = LoadLibraryEx( iconResDllPath.c_str(), nullptr, LOAD_LIBRARY_AS_DATAFILE );
+	if(!hIconResInst){
+		MessageBox(0,"icon_res.dllの読み込みに失敗しました。",APPLICATION_NAME,MB_OK|MB_ICONEXCLAMATION);
+		return 0;
+	}
 
 	//LuxCtrl.dllをマッピング
@@ -830,7 +838,7 @@
 	extern HICON hOwnerIcon,hBasicProgramIcon,hTextDocumentIcon,hWindowDocumentIcon;
 	hOwnerIcon=(HICON)LoadImage(hInst,MAKEINTRESOURCE(IDI_MAIN),IMAGE_ICON,16,16,LR_DEFAULTCOLOR);
-	hBasicProgramIcon=(HICON)LoadImage(hResInst,MAKEINTRESOURCE(IDI_BASICPROGRAM),IMAGE_ICON,16,16,LR_DEFAULTCOLOR);
-	hTextDocumentIcon=(HICON)LoadImage(hResInst,MAKEINTRESOURCE(IDI_TEXTDOCUMENT),IMAGE_ICON,16,16,LR_DEFAULTCOLOR);
-	hWindowDocumentIcon=(HICON)LoadImage(hResInst,MAKEINTRESOURCE(IDI_WINDOW),IMAGE_ICON,16,16,LR_DEFAULTCOLOR);
+	hBasicProgramIcon = ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_BASICPROGRAM, 16, 16, LR_DEFAULTCOLOR);
+	hTextDocumentIcon = ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_TEXTDOCUMENT, 16, 16, LR_DEFAULTCOLOR);
+	hWindowDocumentIcon = ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_WINDOW, 16, 16, LR_DEFAULTCOLOR);
 
 
@@ -838,5 +846,5 @@
 
 	//メインメニュー
-	pobj_MainMenu=new CMenuEx(LoadMenu(hResInst,MAKEINTRESOURCE(IDR_MAINMENU)));
+	pobj_MainMenu=new CMenuEx(ActiveBasic::Resource::LoadMenuAlt(hResInst, IDR_MAINMENU));
 
 	pobj_MainMenu->InitOwnerDraw(1);			//オーナー描画の初期化
@@ -872,5 +880,5 @@
 	}
 
-#define ICONSET(itemID,iconID) pobj_MainMenu->SetIcon(itemID,(HICON)LoadImage(hIconResInst,MAKEINTRESOURCE(iconID),IMAGE_ICON,16,16,0));
+#define ICONSET(itemID, iconID) pobj_MainMenu->SetIcon((itemID), ActiveBasic::Resource::LoadIconAlt(hIconResInst, (iconID), 16, 16));
 	//メニューアイコンをセット
 
@@ -946,27 +954,27 @@
 
 	extern HMENU hEditMenuBase,hEditMenu;
-	hEditMenuBase=LoadMenu(hResInst,MAKEINTRESOURCE(IDR_EDITMENU));
+	hEditMenuBase = ActiveBasic::Resource::LoadMenuAlt(hResInst, IDR_EDITMENU);
 	hEditMenu=GetSubMenu(hEditMenuBase,0);
 
 	extern HMENU hRebarMenuBase,hRebarMenu;
-	hRebarMenuBase=LoadMenu(hResInst,MAKEINTRESOURCE(IDR_REBARMENU));
+	hRebarMenuBase = ActiveBasic::Resource::LoadMenuAlt(hResInst, IDR_REBARMENU);
 	hRebarMenu=GetSubMenu(hRebarMenuBase,0);
 
 	extern HMENU hTabMenuBase,hTabMenu,hTabColorMenu;
-	hTabMenuBase=LoadMenu(hResInst,MAKEINTRESOURCE(IDR_TABMENU));
+	hTabMenuBase = ActiveBasic::Resource::LoadMenuAlt(hResInst,IDR_TABMENU);
 	hTabMenu=GetSubMenu(hTabMenuBase,0);
 	hTabColorMenu=GetSubMenu(hTabMenu,0);
 
 	extern HMENU hFileTreeMenuBase;
-	hFileTreeMenuBase=LoadMenu(hResInst,MAKEINTRESOURCE(IDR_PROJECTVIEW_FILETREEMENU));
+	hFileTreeMenuBase = ActiveBasic::Resource::LoadMenuAlt(hResInst,IDR_PROJECTVIEW_FILETREEMENU);
 
 	extern HMENU hProcedureTreeMenuBase;
-	hProcedureTreeMenuBase=LoadMenu(hResInst,MAKEINTRESOURCE(IDR_PROJECTVIEW_PROCEDURETREEMENU));
+	hProcedureTreeMenuBase = ActiveBasic::Resource::LoadMenuAlt(hResInst,IDR_PROJECTVIEW_PROCEDURETREEMENU);
 
 	extern HMENU hMaterialTreeMenuBase;
-	hMaterialTreeMenuBase=LoadMenu(hResInst,MAKEINTRESOURCE(IDR_PROJECTVIEW_MATERIALTREEMENU));
+	hMaterialTreeMenuBase = ActiveBasic::Resource::LoadMenuAlt(hResInst,IDR_PROJECTVIEW_MATERIALTREEMENU);
 
 	extern HMENU hRadMenuBase;
-	hRadMenuBase=LoadMenu(hResInst,MAKEINTRESOURCE(IDR_RADCONTEXTMENU));
+	hRadMenuBase = ActiveBasic::Resource::LoadMenuAlt(hResInst,IDR_RADCONTEXTMENU);
 
 	//クリップボードのデータ形式（RAD用）を新規登録
@@ -1201,5 +1209,5 @@
 //実行コマンド
 BOOL SetRunning(HWND hChild){
-	extern LPSTR DefFileFilter;
+	extern const LPCSTR DefFileFilter;
 	int WndNum;
 	char temp2[MAX_PATH];
